KTGETLCA(1)

NAME
ktGetLCA - explore hierarchical metagenomic data with zoomable pie charts

DESCRIPTION
Description:

    Computes the lowest common ancestor for accessions or taxonomy IDs (as arguments or from <stdin>). If an input is a number, it is assumed to be a taxonomy ID; otherwise it will be considered an accession or sequence ID containing an accession in the fourth field of pipe notation (e.g. "gi|12345|xx|ABC123.1|", ignoring fasta/fastq tag markers [>,@]). If using <stdin>, the LCA can be computed for the first fields of all input lines (default), or per input line, separated by whitespace (see -s).

Usage:

    ktGetLCA [options] [acc/tax_ID ...] [< acc/taxID_list] > LCA

OPTIONS

-s  Streaming mode. Each line is expected to be a whitespace-separated list of inputs for a single lowest common ancestor computation. Taxonomy will be preloaded, allowing for faster computation after a small upfront time.